MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023467Community[OCCT] OCCT:Modeling Algorithmspublic2012-10-09 14:482012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritylowSeveritytrivial 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023467: BRepOffsetAPI_MakeOffset throws StdFail_NotDone and not Standard_ConstructionError
DescriptionThe documentation in the CDL file does not correspond to the thrown exception in the CXX file.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021697)
Pawel (developer)
2012-10-09 15:05

Branch CR23467 pushed. Please review.
(0021704)
abv (manager)
2012-10-10 00:22

Reviewed, please test
(0021733)
mkv (tester)
2012-10-11 17:59

Dear BugMaster,
Branch CR23467 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed

See results in /QADisk/occttests/results/KAS/dev/CR23467-master-products_10102012/lin
See reference results in /QADisk/occttests/results/KAS/dev/IR-2012-10-05-master-products_05102012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master 8b595ab7
Timestamp: 2012-10-09 11:01:21
Author: Pawel
Details ] Diff ]
0023467: BRepOffsetAPI_MakeOffset throws StdFail_NotDone and not Standard_ConstructionError
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeOffset.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-10-09 14:48 Pawel New Issue
2012-10-09 14:48 Pawel Assigned To => Pawel
2012-10-09 15:05 Pawel Note Added: 0021697
2012-10-09 15:05 Pawel Assigned To Pawel => bugmaster
2012-10-09 15:05 Pawel Status new => resolved
2012-10-10 00:22 abv Note Added: 0021704
2012-10-10 00:22 abv Status resolved => reviewed
2012-10-10 12:24 mkv Assigned To bugmaster => mkv
2012-10-11 17:59 mkv Note Added: 0021733
2012-10-11 18:00 mkv Test case number => Not needed
2012-10-11 18:00 mkv Assigned To mkv => bugmaster
2012-10-11 18:00 mkv Status reviewed => tested
2012-10-16 15:21 Pawel Changeset attached => occt master 8b595ab7
2012-10-16 15:22 Pawel Assigned To bugmaster => Pawel
2012-10-16 15:22 Pawel Status tested => verified
2012-10-16 15:22 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker